Sie sind auf Seite 1von 6

Private Sub form_load()

TextBBPermanen = ""

TextMomen = ""

TextKDIzin = ""

TextKedalamanTan = ""

TextKedalamanFon = ""

TextTebalFon = ""

TextBJTanah = ""

TextBJBeton = ""

TextR = ""

End Sub

Private Sub TextBBPermanen_Change()

If Not IsNumeric(TextBBPermanen) Then

TextBBPermanen.Text = ""

End If

End Sub

Private Sub TextBBPermanen_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)

If Not TextBBPermanen < 10000 Then

TextBBPermanen.Text = ""

End If

End Sub

Private Sub TextMomen_Change()

If Not IsNumeric(TextMomen) Then

TextMomen.Text = ""

End If
End Sub

Private Sub TextMomen_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)

If Not TextMomen < 10000 Then

TextMomen.Text = ""

End If

End Sub

Private Sub TextKDIzin_Change()

If Not IsNumeric(TextKDIzin) Then

TextKDIzin.Text = ""

End If

End Sub

Private Sub TextKDIzin_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)

If Not TextKDIzin < 10000 Then

TextKDIzin.Text = ""

End If

End Sub

Private Sub TextKedalamanTan_Change()

If Not IsNumeric(TextKedalamanTan) Then

TextKedalamanTan.Text = ""

End If
End Sub

Private Sub TextKedalamanTan_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)

If Not TextKedalamanTan < 10000 Then

TextKedalamanTan.Text = ""

End If

End Sub

Private Sub TextKedalamanFon_Change()

If Not IsNumeric(TextKedalamanFon) Then

TextKedalamanFon.Text = ""

End If

End Sub

Private Sub TextKedalamanFon_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)

If Not TextKedalamanFon < 10000 Then

TextKedalamanFon.Text = ""

End If

End Sub

Private Sub TextTebalFon_Change()

If Not IsNumeric(TextTebalFon) Then

TextTebalFon.Text = ""

End If

End Sub
Private Sub TextTebalFon_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)

If Not TextTebalFon < 10000 Then

TextTebalFon.Text = ""

End If

End Sub

Private Sub TextBJTanah_Change()

If Not IsNumeric(TextBJTanah) Then

TextBJTanah.Text = ""

End If

End Sub

Private Sub TextBJTanah_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)

If Not TextBJTanah < 10000 Then

TextBJTanah.Text = ""

End If

End Sub

Private Sub TextBJBeton_Change()

If Not IsNumeric(TextBJBeton) Then

TextBJBeton.Text = ""

End If

End Sub
Private Sub TextBJBeton_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)

If Not TextBJBeton < 10000 Then

TextBJBeton.Text = ""

End If

End Sub

Private Sub TextR_Change()

If Not IsNumeric(TextR) Then

TextR.Text = ""

End If

End Sub

Private Sub TextR_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)

If Not TextR < 10000 Then

TextR.Text = ""

End If

End Sub

ptA = ThisDrawing.Utility.PolarPoint(pt6, (3 * pi) / 2, d1 + 100)

ptB = ThisDrawing.Utility.PolarPoint(ptA, 0, L / 2)

ptC = ThisDrawing.Utility.PolarPoint(ptB, 0, L / 2)

ptD = ThisDrawing.Utility.PolarPoint(ptC, (3 * pi) / 2, L / 2)

ptE = ThisDrawing.Utility.PolarPoint(ptD, (3 * pi) / 2, L / 2)

ptF = ThisDrawing.Utility.PolarPoint(ptE, pi, L / 2)


ptG = ThisDrawing.Utility.PolarPoint(ptF, pi, L / 2)

ptH = ThisDrawing.Utility.PolarPoint(ptG, pi / 2, L / 2)

pte1 = ThisDrawing.Utility.PolarPoint(ptH, 0, L / 2)

pte2 = ThisDrawing.Utility.PolarPoint(pte1, 0, eX)

ptJ = ThisDrawing.Utility.PolarPoint(pte2, pi / 2, y)

ptK = ThisDrawing.Utility.PolarPoint(ptJ, 0, y)

ptL = ThisDrawing.Utility.PolarPoint(ptK, (3 * pi) / 2, y)

ptM = ThisDrawing.Utility.PolarPoint(ptL, (3 * pi) / 2, y)

ptN = ThisDrawing.Utility.PolarPoint(ptM, pi, y)

ptO = ThisDrawing.Utility.PolarPoint(ptN, pi, y)

ptP = ThisDrawing.Utility.PolarPoint(ptO, pi / 2, y)

ptI = ThisDrawing.Utility.PolarPoint(ptP, pi / 2, y)

ThisDrawing.ModelSpace.AddLine ptA, ptB

ThisDrawing.ModelSpace.AddLine ptB, ptC

ThisDrawing.ModelSpace.AddLine ptC, ptD

ThisDrawing.ModelSpace.AddLine ptD, ptE

ThisDrawing.ModelSpace.AddLine ptE, ptF

ThisDrawing.ModelSpace.AddLine ptF, ptG

ThisDrawing.ModelSpace.AddLine ptG, ptH

ThisDrawing.ModelSpace.AddLine ptH, ptA

ThisDrawing.ModelSpace.AddLine ptJ, ptK

ThisDrawing.ModelSpace.AddLine ptK, ptL

ThisDrawing.ModelSpace.AddLine ptL, ptM

ThisDrawing.ModelSpace.AddLine ptM, ptN

ThisDrawing.ModelSpace.AddLine ptN, ptO

ThisDrawing.ModelSpace.AddLine ptO, ptP

ThisDrawing.ModelSpace.AddLine ptP, ptI

Das könnte Ihnen auch gefallen